class_name BarkButtons extends Node2D

signal auctioneer_bark
@export var turn_manager: TurnManager
@export var bark_speed = 2.0

func _on_great_buy_button_down() -> void:
	auctioneer_bark.emit()
	$GreatBuy.mouse_default_cursor_shape = Control.CURSOR_DRAG
	DisplayServer.tts_speak("Great buy!", turn_manager.voice_id, turn_manager.tts_volume, turn_manager.tts_pitch, bark_speed)

func _on_investment_piece_button_down() -> void:
	auctioneer_bark.emit()
	$InvestmentPiece.mouse_default_cursor_shape = Control.CURSOR_DRAG
	DisplayServer.tts_speak("Investment piece!", turn_manager.voice_id, turn_manager.tts_volume, turn_manager.tts_pitch, bark_speed)

func _on_stunning_message_button_down() -> void:
	auctioneer_bark.emit()
	$StunningMessage.mouse_default_cursor_shape = Control.CURSOR_DRAG
	DisplayServer.tts_speak("Stunning message!", turn_manager.voice_id, turn_manager.tts_volume, turn_manager.tts_pitch, bark_speed)

func _on_innovative_artist_button_down() -> void:
	auctioneer_bark.emit()
	$InnovativeArtist.mouse_default_cursor_shape = Control.CURSOR_DRAG
	DisplayServer.tts_speak("Innovative artist!", turn_manager.voice_id, turn_manager.tts_volume, turn_manager.tts_pitch, bark_speed)


func _on_great_buy_button_release() -> void:
	$GreatBuy.mouse_default_cursor_shape = Control.CURSOR_ARROW


func _on_investment_piece_button_up() -> void:
	$InvestmentPiece.mouse_default_cursor_shape = Control.CURSOR_ARROW


func _on_stunning_message_button_release() -> void:
	$StunningMessage.mouse_default_cursor_shape = Control.CURSOR_ARROW


func _on_innovative_artist_button_release() -> void:
	$InnovativeArtist.mouse_default_cursor_shape = Control.CURSOR_ARROW
